## knot-resolver 6.1.0

=== debian/changelog ===
knot-resolver (6.1.0-2) unstable; urgency=medium

  * Restrict (again) the set of supported architectures, removing s390x
  * Enable validating in Salsa CI if the package correctly clean up
  * Manually clean remaining files after building (Closes: #1047878)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 15 Feb 2026 22:48:36 -0300

knot-resolver (6.1.0-1) unstable; urgency=medium

  * New upstream release
    - Fix FTBFS by error in lib/generic/test_array.c (Closes: #1124169)
  * Remove the Priority field from the source package
  * Bump Standards-Version to 4.7.3
  * Replace knot-resolver (which is version 5) with the generated packages in
    the roundtrip autopkgtest dependencies

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 23 Jan 2026 11:28:10 -0300
