## knot-resolver 6.2.0

=== debian/changelog ===
knot-resolver (6.2.0-1) unstable; urgency=medium

  * New upstream release
  * Fix FTCBFS: Multiarchify python Build-Depends for extension build. Changes
    by Helmut Grohne <helmut@subdivi.de>
    (Closes: 1127713)
  * Disable the test-build-all job in Salsa CI

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 02 Mar 2026 14:32:36 -0300
