=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libluajit-5.1-dev,
  libnghttp2-dev,
  libprotobuf-c-dev,
+ libpython3-dev,
  libssl-dev,
  libsystemd-dev (>= 227) [linux-any],
  libuv1-dev,
@@ -31,8 +32,7 @@
  pkgconf,
  protobuf-compiler,
  protobuf-c-compiler,
- python3,
- python3-dev,
+ python3-dev:any,
  python3-setuptools,
  socat <!nocheck>,
 Standards-Version: 4.7.3
